@echo off
if "%OS%" == not "Windows_NT" goto done
cd ..
set txt1.1=".\DOCS\AUTHORS.txt"
set txt1.2=".\DOCS\Changelog.txt"
set txt1.3=".\DOCS\COPYING.txt"
set txt1.4=".\DOCS\INSTALL.txt"
set txt1.5=".\DOCS\THANKS.txt"
set txt1.6=".\DOCS\VERSION.txt"
set txt2=".\DOCS\Official manuals\readme_kr.txt"
set txt3.1=".\DOCS\SVN-specific manuals\README_KR.txt"
set txt3.2=".\DOCS\SVN-specific manuals\USAGE_KR.txt"
set txt4=".\DOCS\Official manuals\Video instructions_KR.txt"
if not exist %txt1.1% goto done
if not exist %txt1.2% goto done
if not exist %txt1.3% goto done
if not exist %txt1.4% goto done
if not exist %txt1.5% goto done
if not exist %txt1.6% goto done
if not exist %txt2% goto done
if not exist %txt3.1% goto done
if not exist %txt3.2% goto done
if not exist %txt4% goto done
set mode=more
chcp 949
if not %errorlevel% == 0 goto lang_wrong
title View DOSBox Readme (Q: Quit / Escape)
set title_1=echo DOSBox 撲貲憮 爾晦
set title_2=echo 式式式式式式式式式式式式式式式式式式式
set mode_1=echo   M. 賅萄 滲唳: [標]* / 詭賅濰
set mode_2=echo   M. 賅萄 滲唳: 標 / [詭賅濰]*
:home
set me=
cls
echo.
%title_1% && %title_2%
echo.
echo  Main
echo   1. 晦獄 薑爾
echo      1.1 AUTHORS
echo      1.2 Changelog
echo      1.3 COPYING
echo      1.4 INSTALL
echo      1.5 THANKS
echo      1.6 VERSION
echo   2. 奢衝 撲貲憮
echo   3. SVN 婦溼 撲貲憮
echo     3.1 README
echo     3.2 餌辨徹
echo   4. 綠蛤螃 餌辨 寞徹
echo.
if %mode%==more (%mode_1%) else %mode_2%
echo   Q. Exit
set /p me=
if "%me%" == "1" goto basic_info
if "%me%" == "1.1" cls && %mode% %txt1.1% && if %mode%==more pause >nul && goto home
if "%me%" == "1.2" cls && %mode% %txt1.2% && if %mode%==more pause >nul && goto home
if "%me%" == "1.3" cls && %mode% %txt1.3% && if %mode%==more pause >nul && goto home
if "%me%" == "1.4" cls && %mode% %txt1.4% && if %mode%==more pause >nul && goto home
if "%me%" == "1.5" cls && %mode% %txt1.5% && if %mode%==more pause >nul && goto home
if "%me%" == "1.6" cls && %mode% %txt1.6% && if %mode%==more pause >nul && goto home
if "%me%" == "2" cls && %mode% %txt2% && if %mode%==more pause >nul && goto home
if "%me%" == "3" goto svn_specific
if "%me%" == "3.1" cls && %mode% %txt3.1% && if %mode%==more pause >nul && goto home
if "%me%" == "3.2" cls && %mode% %txt3.2% && if %mode%==more pause >nul && goto home
if "%me%" == "4" cls && %mode% %txt4% && if %mode%==more pause >nul && goto home
if /I "%me%" == "q" goto done
if /I "%me%" == "m" if %mode%==more (set mode=notepad) else (set mode=more) && goto home
goto home

:basic_info
set me=
cls
echo.
%title_1% && %title_2%
echo.
echo  晦獄 薑爾
echo   1. AUTHORS
echo   2. Changelog
echo   3. COPYING
echo   4. INSTALL
echo   5. THANKS
echo   6. VERSION
echo.
echo   B. 菴煎
if %mode%==more (%mode_1%) else %mode_2%
echo   Q. 部頂晦
set /p me=
if "%me%" == "1" cls && %mode% %txt1.1% && if %mode%==more pause >nul && goto basic_info
if "%me%" == "2" cls && %mode% %txt1.2% && if %mode%==more pause >nul && goto basic_info
if "%me%" == "3" cls && %mode% %txt1.3% && if %mode%==more pause >nul && goto basic_info
if "%me%" == "4" cls && %mode% %txt1.4% && if %mode%==more pause >nul && goto basic_info
if "%me%" == "5" cls && %mode% %txt1.5% && if %mode%==more pause >nul && goto basic_info
if "%me%" == "6" cls && %mode% %txt1.6% && if %mode%==more pause >nul && goto basic_info
if /I "%me%" == "b" goto home
if /I "%me%" == "q" goto done
if /I "%me%" == "m" if %mode%==more (set mode=notepad) else (set mode=more) && goto basic_info
goto basic_info

:svn_specific
set me=
cls
echo.
%title_1% && %title_2%
echo.
echo  SVN 婦溼 撲貲憮
echo   1. README
echo   2. 餌辨徹
echo.
echo   B. 菴煎
if %mode%==more (%mode_1%) else %mode_2%
echo   Q. 部頂晦
set /p me=
if "%me%" == "1" cls && %mode% %txt3.1% && if %mode%==more pause >nul && goto svn_specific
if "%me%" == "2" cls && %mode% %txt3.2% && if %mode%==more pause >nul && goto svn_specific
if /I "%me%" == "b" goto home
if /I "%me%" == "q" goto done
if /I "%me%" == "m" if %mode%==more (set mode=notepad) else (set mode=more) && goto svn_specific
goto svn_specific

:lang_wrong
cls
echo  Your operating system has no support for Korean language.
pause >nul
goto done

:done
